﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Chart_WPF_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            SetData();
        }
        public ObservableCollection<Model> Collection
        {
            get;
            set;
        }

        public ObservableCollection<Model> CollectionList
        {
            get;
            set;
        }

        private void SetData()
        {
            Collection = new ObservableCollection<Model>();

            int x = 0;
            for (double i = -10; i <= 10; i++, x++)
            {
                int z = 0;
                for (double j = -10; j <= 10; j++, z++)
                {
                    double y = i * Math.Sin(j) + j * Math.Sin(i);
                    Collection.Add(new Model() { X = x, Y = y });
                    series.ItemsSource = Collection;
                    surface.Data.AddPoints(x, y, z);
                }
            }


            CollectionList = new ObservableCollection<Model>();

            for (int i = 0; i < Collection.Count; i++)
            {
                if (i % 100 == 0)
                    CollectionList.Add(Collection[i]);
            }

            series1.ItemsSource = CollectionList;

            surface.RowSize = 21;
            surface.ColumnSize = 21;
        }
    }
    public class Model
    {
        public double X
        {
            get;
            set;
        }
        public double Y
        {
            get;
            set;
        }
    }
}
